/// <reference types="node" />
import { Server as HttpServer } from 'http';
import { Server as HttpsServer } from 'https';
import { IBotOptions as BotOptions } from './Bot';
import { WebGroup } from './WebChannelFacade';
export { BotOptions };
export declare class Bot {
    server: HttpServer | HttpsServer;
    perMessageDeflate: boolean;
    webGroups: Map<number, WebGroup>;
    url: string;
    leaveOnceAlone: boolean;
    onWebGroup: (((wg: WebGroup) => void)) | undefined | null;
    onError: (((err: Error) => void)) | undefined | null;
    constructor(options: BotOptions);
}
